@import "./../../../static/css/variables";

.faq-section {
  height: calc(100vh - 66px - 45px);
  min-height: calc(100vh - 66px - 45px);
  max-height: calc(100vh - 66px - 45px);
  padding: .5rem 1rem;
  .actions-area {
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: .25rem 1rem .5rem;
    button {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 90px;
      font-size: 1.2rem;
      font-weight: 400;
      span {
        margin-left: .5rem;
        line-height: 1;
      }
      i {
        font-size: .85rem;
      }
    }
  }
  .faq-content {
    height: 100%;
    min-height: 100%;
    max-height: 100%;
    .faq-content-header {
      padding: .5rem 1rem;
      width: 100%;
      text-align: center;
      background-color: #F2C84B;
      color: #3B3C40;
      span {
        font-size: 1.5rem;
        font-weight: 500;
      }
    }
    .faq-content-body {
      height: calc(100% - 100px);
      min-height: calc(100% - 100px);
      max-height: calc(100% - 100px);
      overflow-y: auto;
      .accordion {
        .accordion-item {
          h2.accordion-header {
            button.accordion-button {
              font-size: 1.2rem;
              background-color: #3B3C40;
              color: #F2C84B;
              &:after {
                background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23ffffff'><path fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/></svg>") !important;
              }
            }
          }
          .accordion-collapse {
            .accordion-body {
              font-size: 1.2rem;
            }
          }
        }
      }
    }
  }
  .form-contact {
    .form-contact-header {

      color: #3B3C40;
      display: flex;
      justify-content: space-between;
      width: 100%;
      padding: .25rem 0 .5rem;
      span {
        font-size: 1.5rem;
        font-weight: 500;
        line-height: 1;
      }
    }
    .form-contact-content {
      .contact-form-wrapper {
        .contact-form {
          margin-top: .5rem;
          border-radius: 12px;
          width: 100%;
          padding: .5rem;
          textarea {
            resize: none;
          }
          .form-input,
          .form-text-area {
            background-color: #f0f4f5;
            height: 50px;
            padding-left: 16px;
            box-shadow: inset 0 1px 1px rgb(0 0 0 / 7%), 0 0 1px #ffc107;
          }
          .form-text-area {
            background-color: #f0f4f5;
            height: auto;
            padding-left: 16px;
            box-shadow: inset 0 1px 1px rgb(0 0 0 / 7%), 0 0 1px #ffc107;
          }
          .form-control {
            &::placeholder {
              color: grey;
              font-weight: 500;
              opacity: 1;
            }
            &:-ms-input-placeholder {
              color: grey;
              font-weight: 500;
            }
            &::-ms-input-placeholder {
              color: grey;
              font-weight: 500;
            }
            &:focus {
              border-color: #F2C84A;
              box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.07), 0 0 8px #F2C84A;
            }
          }
          .title {
            text-align: center;
            font-size: 24px;
            font-weight: 500;
          }
          .description {
            color: #aeb4b9;
            font-size: 14px;
            text-align: center;
          }
          .submit-button-wrapper {
            text-align: center;
            input {
              border: none;
              border-radius: 4px;
              color: #F2C84B;
              background-color: #3B3C40;
              text-transform: uppercase;
              padding: 10px 60px;
              font-weight: 500;
              letter-spacing: 2px;
              &:hover {
                background-color: #111112;
              }
            }
          }
        }
      }
    }  
  }  
}

@media (max-width:420px) {
  .faq-section {
    .actions-area {
      button {
        span {}
        i {}
      }
    }
    .faq-content {
      .faq-content-header {
        span {}
      }
      .faq-content-body {
        .accordion {
          .accordion-item {
            h2.accordion-header {
              button.accordion-button {
                &:after {}
              }
            }
            .accordion-collapse {
              .accordion-body {}
            }
          }
        }
      }
    }
    .form-contact {
      .form-contact-header {
        span {}
      }
      .form-contact-content {
        .contact-form-wrapper {
          .contact-form {
            textarea {}
            .form-input,
            .form-text-area {}
            .form-text-area {}
            .form-control {
              &::placeholder {}
              &:-ms-input-placeholder {}
              &::-ms-input-placeholder {}
              &:focus {}
            }
            .title {}
            .description {}
            .submit-button-wrapper {
              input {
                &:hover {}
              }
            }
          }
        }
      }  
    }  
  }
}
@media (max-width:600px) {
  .faq-section {
    .actions-area {
      button {
        span {}
        i {}
      }
    }
    .faq-content {
      .faq-content-header {
        span {}
      }
      .faq-content-body {
        .accordion {
          .accordion-item {
            h2.accordion-header {
              button.accordion-button {
                &:after {}
              }
            }
            .accordion-collapse {
              .accordion-body {}
            }
          }
        }
      }
    }
    .form-contact {
      .form-contact-header {
        span {}
      }
      .form-contact-content {
        .contact-form-wrapper {
          .contact-form {
            textarea {}
            .form-input,
            .form-text-area {}
            .form-text-area {}
            .form-control {
              &::placeholder {}
              &:-ms-input-placeholder {}
              &::-ms-input-placeholder {}
              &:focus {}
            }
            .title {}
            .description {}
            .submit-button-wrapper {
              input {
                &:hover {}
              }
            }
          }
        }
      }  
    }  
  }
}
@media (max-width:768px) {
  .faq-section {
    .actions-area {
      button {
        span {}
        i {}
      }
    }
    .faq-content {
      .faq-content-header {
        span {}
      }
      .faq-content-body {
        .accordion {
          .accordion-item {
            h2.accordion-header {
              button.accordion-button {
                &:after {}
              }
            }
            .accordion-collapse {
              .accordion-body {}
            }
          }
        }
      }
    }
    .form-contact {
      .form-contact-header {
        span {}
      }
      .form-contact-content {
        .contact-form-wrapper {
          .contact-form {
            textarea {}
            .form-input,
            .form-text-area {}
            .form-text-area {}
            .form-control {
              &::placeholder {}
              &:-ms-input-placeholder {}
              &::-ms-input-placeholder {}
              &:focus {}
            }
            .title {}
            .description {}
            .submit-button-wrapper {
              input {
                &:hover {}
              }
            }
          }
        }
      }  
    }  
  }
}
@media (max-width:992px) {
  .faq-section {
    height: auto;
    max-height: fit-content;
    min-height: auto;
    .actions-area {
      button {
        span {}
        i {}
      }
    }
    .faq-content {
      height: auto;
      max-height: auto;
      min-height: auto;
      background-color: white;
      width: 100%;
      margin: 0 auto;
      .faq-content-header {
        span {}
      }
      .faq-content-body {
        height: auto;
        max-height: fit-content;
        min-height: auto;
        .accordion {
          .accordion-item {
            h2.accordion-header {
              button.accordion-button {
                &:after {}
              }
            }
            .accordion-collapse {
              .accordion-body {}
            }
          }
        }
      }
    }
    .form-contact {
      padding: 3rem 2rem 1rem;
      background-color: white;
      width: 100%;
      .form-contact-header {
        max-width: 420px;
        margin: 0 auto;
        span {
          text-align: center;
        }
      }
      .form-contact-content {
        padding-bottom: 2rem;
        .contact-form-wrapper {
          background-color: white;
          width: 100%;
          max-width: 420px;
          margin: 0 auto;
          .contact-form {
            textarea {}
            .form-input,
            .form-text-area {}
            .form-text-area {}
            .form-control {
              &::placeholder {}
              &:-ms-input-placeholder {}
              &::-ms-input-placeholder {}
              &:focus {}
            }
            .title {}
            .description {}
            .submit-button-wrapper {
              input {
                &:hover {}
              }
            }
          }
        }
      }  
    }  
  }
}
@media (max-width:1200px) {
  .faq-section {
    .actions-area {
      button {
        span {}
        i {}
      }
    }
    .faq-content {
      .faq-content-header {
        span {}
      }
      .faq-content-body {
        .accordion {
          .accordion-item {
            h2.accordion-header {
              button.accordion-button {
                &:after {}
              }
            }
            .accordion-collapse {
              .accordion-body {}
            }
          }
        }
      }
    }
    .form-contact {
      .form-contact-header {
        span {}
      }
      .form-contact-content {
        .contact-form-wrapper {
          .contact-form {
            textarea {}
            .form-input,
            .form-text-area {}
            .form-text-area {}
            .form-control {
              &::placeholder {}
              &:-ms-input-placeholder {}
              &::-ms-input-placeholder {}
              &:focus {}
            }
            .title {}
            .description {}
            .submit-button-wrapper {
              input {
                &:hover {}
              }
            }
          }
        }
      }  
    }  
  }
}
